package com.pcloud.book.personal.biz;

import com.pcloud.book.personal.dto.PersonalMedalRecordDto;
import com.pcloud.book.personal.entity.PersonalMedal;
import com.pcloud.book.personal.entity.PersonalMedalRecord;
import com.pcloud.book.personal.enums.StarReceiveTypeEnum;

import java.util.List;

public interface PersonalMedalBiz {

    List<PersonalMedal> getBaseMedalList();

    List<PersonalMedalRecordDto> getUserMedalList(Long wechatUserId);

    void loginReceiveStar(Long wechatUserId);

    Integer getReceiveStarCount(Long wechatUserId);

    void updateMedalShowed(Long medalRecordId);

    void receiveStar(Long wechatUserId, StarReceiveTypeEnum starReceiveTypeEnum);

    String shareMedal(Long medalId, Long wechatUserId,String robotWxId);
}
